'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var i18n = function i18n(state, action) {

    switch (action.type) {

        case 'SET_CURRENT':
            {

                var newState = Object.assign({}, state);
                newState.currentLanguage = action.data;
                return newState;
            }

        case 'SET_LANGUAGES':
            {

                var _newState = Object.assign({}, state);
                _newState.languages = action.data;
                return _newState;
            }

        case 'SET_DICTIONARIES':
            {

                var _newState2 = Object.assign({}, state);
                _newState2.dictionaries = action.data;
                return _newState2;
            }

        case 'ADD_DICTIONARY':
            {

                if (action.data && action.data.languageCode && action.data.dictionary) {

                    var _newState3 = Object.assign({}, state);
                    _newState3.dictionaries[action.data.languageCode] = action.data.dictionary;
                    return _newState3;
                } else {
                    return state;
                }
            }

        default:
            return state || {
                currentLanguage: 'ru-RU',
                languages: [{
                    code: 'ru-RU',
                    name: 'Русский'
                }, {
                    code: 'en-US',
                    name: 'English (USA)'
                }],
                dictionaries: {
                    'ru-RU': {
                        'key_1': 'Первый дефолтный ключ',
                        'key_2': ['$Count', ' ', ['штучка', 'штучки', 'штучек']] },
                    'en-US': {
                        'key_1': 'First default key',
                        'key_2': ['$Count', ' ', ['thing', 'things']] }
                }
            };
    }
};

exports.default = i18n;